package com.clx.performance.service.linewarn;

import com.clx.performance.param.mq.linewarn.LineWarnLineWarnMqParam;
import com.clx.performance.param.mq.linewarn.LineWarnNoticeMqParam;
import com.clx.performance.param.mq.linewarn.LineWarnOrderChildWarnMqParam;
import com.clx.performance.param.mq.linewarn.LineWarnOrderGoodsAddMqParam;

import java.util.List;

public interface LineWarnMqHandlerService {

    void orderGoodsAdd(LineWarnOrderGoodsAddMqParam mq);

    void lineWarn(LineWarnLineWarnMqParam mq);

    void notice(LineWarnNoticeMqParam mq);

    void sendSms(List<String> mobileList, String warnName, String orderGoodsNo);

    void sendClink(List<String> mobileList, String warnName, String orderGoodsNo);

    void orderChildWarn(LineWarnOrderChildWarnMqParam mq);
}
